uuid: 30aa90c7-ec3b-4e7c-922a-27e2e5f149f0
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
id: rgp_tap_sku
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: tap
label: 'Product variation sku'
source:
  plugin: product_list_source
  data_fetcher_plugin: http
  data_parser_plugin: json
  track_changes: false
  skip_count: true
  pager:
    type: maxpage
    selector: data
  updates_only: true
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetRMTapsProducts'
  item_selector: data/products
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: sku
      label: Sku
      selector: sku
  ids:
    sku:
      type: string
process:
  sku: sku
  status:
    plugin: default_value
    default_value: 0
  type:
    plugin: default_value
    default_value: tap
destination:
  plugin: table
  table_name: product_sku
  id_fields:
    sku:
      type: string
  fields:
    sku: sku
    type: type
    status: status
migration_dependencies: null
